Subject: Re: bug#25245: Prettify-symbols-mode not working
From: Tassilo Horn <[email-masked]>
To: Alex Branham <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Dec 2016 14:15:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alex,

>> Weirdly, if I call M-x LaTeX-mode, then prettification works.  Up
>> until I save the file C-x C-s, when everything un-prettifies again.
>> I can get the same behavior by calling M-x prettify-symbols-mode
>> twice.
>
> Oh, I think I found the problem.  Prettification won't work when a style
> file is loaded causing fontification to be reset.  I'll have a look at
> that.

Ok, I've pushed a fix and released AUCTeX 11.89.8 which should appear in
M-x list-packages anytime soon.

Bye,
Tassilo